<?php
// if this var is not set, we have no config, so get out
if ($webdom=='') {
    header("Location: /");
    die();
}

$msdbconn=msdbconnect();

// move Stock from one Warehouse to another using defined Inventory Document and Transaction
if ($operation=='STOCKMOVE' && $wpisopen) {
    include($incdir.'mssql/istocks_mov.php');
}
// update Stock in a Warehouse via [PeriodicConsumptionItems].[PhysicalInventory]
if ($operation=='STOCKUPDATE') {
    include($incdir.'mssql/istocks_upd.php');
}

// [PeriodicConsumptionItems] for Warehouse 1 [SHOP]
$arrayname='iconsumptionwh1';
$SQLWHERE ="wp.[Id] = (SELECT max([Id]) FROM [WorkPeriods] WHERE [StartDate]!=[EndDate])"."\r\n";
$SQLWHERE.=" AND  pci.[WarehouseConsumptionId]=wc.[Id]"."\r\n";
$SQLWHERE.=" AND wh.[Name]='".$wh[1]['Name']."'"."\r\n";
include($incdir.'mssql/ipcis_sel.php');

// [PeriodicConsumptionItems] for Warehouse 2 [BODEGA]
$arrayname='iconsumptionwh2';
$SQLWHERE ="wp.[Id] = (SELECT max([Id]) FROM [WorkPeriods] WHERE [StartDate]!=[EndDate])"."\r\n";
$SQLWHERE.=" AND  pci.[WarehouseConsumptionId]=wc.[Id]"."\r\n";
$SQLWHERE.=" AND wh.[Name]='".$wh[2]['Name']."'"."\r\n";
include($incdir.'mssql/ipcis_sel.php');

// Supplier Entities, with corresponding Warehouses
$SQLWHERE="et.[Name]='Suppliers'";
include($incdir.'mssql/suppliers_sel.php');

// Warehouse 1 [Local Warehouses] [SHOP]
$arrayname='wh1';
$SQLWHERE="wt.[Name]='".$wht[1]['Name']."' AND wh.[Name]='".$wh[1]['Name']."'";
include($incdir.'mssql/warehouses_sel.php');

// Warehouse 2 [Local Warehouses] [BODEGA]
$arrayname='wh2';
$SQLWHERE="wt.[Name]='".$wht[1]['Name']."' AND wh.[Name]='".$wh[2]['Name']."'";
include($incdir.'mssql/warehouses_sel.php');

// All Warehouses
$arrayname='warehouses';
include($incdir.'mssql/warehouses_sel.php');

// Inventory Document Type which transfers stock from Warehouse 1 [SHOP] to Warehouse 2 [BODEGA]
$arrayname='idoctypewh1';
$SQLWHERE ="itdt.[Name] like '%Txfr%' AND whs.[Name]='".$wh[1]['Name']."' AND wht.[Name]='".$wh[2]['Name']."'"."\r\n";
include($incdir.'mssql/itxdoctypes_sel.php');

// Inventory Document Type which transfers stock from Warehouse 2 [BODEGA] to Warehouse 1 [SHOP]
$arrayname='idoctypewh2';
$SQLWHERE ="itdt.[Name] like '%Txfr%' AND whs.[Name]='".$wh[2]['Name']."' AND wht.[Name]='".$wh[1]['Name']."'"."\r\n";
include($incdir.'mssql/itxdoctypes_sel.php');

// Inventory Item Types [GroupCode]
include($incdir.'mssql/iitemtypes_sel.php');
// Inventory Unit Base
include($incdir.'mssql/iunitsbase_sel.php');
// Inventory Unit Transaction
include($incdir.'mssql/iunitstransaction_sel.php');

// Inventory Transactions for Warehouse 1 [SHOP] where it is the Source or Target
$arrayname='itransactionswh1';
$SQLWHERE ="([SourceWarehouseId]=(SELECT [Id] FROM [Warehouses] WHERE [Name]='".$wh[1]['Name']."')"."\r\n";
$SQLWHERE.="OR [TargetWarehouseId]=(SELECT [Id] FROM [Warehouses] WHERE [Name]='".$wh[1]['Name']."')"."\r\n";
$SQLWHERE.=") AND [Date]>='".$wpdate."'"."\r\n";
include($incdir.'mssql/itransactions_sel.php');

// Inventory Transactions for Warehouse 2 [BODEGA] where it is the Source or Target
$arrayname='itransactionswh2';
$SQLWHERE ="([SourceWarehouseId]=(SELECT [Id] FROM [Warehouses] WHERE [Name]='".$wh[2]['Name']."')"."\r\n";
$SQLWHERE.="OR [TargetWarehouseId]=(SELECT [Id] FROM [Warehouses] WHERE [Name]='".$wh[2]['Name']."')"."\r\n";
$SQLWHERE.=") AND [Date]>='".$wpdate."'"."\r\n";
include($incdir.'mssql/itransactions_sel.php');




/*************************/
// Inventory Items
/*************************/

switch ($screen) {
    CASE 'ORDER':
        // SQL WHERE statement to filter the rest of the Inventory Item list
        $SQLWHERE ='[Id] NOT IN ('."\r\n";
        $SQLWHERE.="SELECT [InventoryId] FROM [InvRequests] where [Active]=1 AND [Status]='".$statusfilter."'"."\r\n";
        $SQLWHERE.=')'."\r\n";
        break;
    CASE 'REQUEST':
        // SQL WHERE statement to filter the rest of the Inventory Item list
        $SQLWHERE ='[Id] NOT IN('."\r\n";
        $SQLWHERE.="SELECT [InventoryId] FROM [InvRequests] where [Active]=1 AND [Status]='".$statusfilter."'"."\r\n";
        $SQLWHERE.=')'."\r\n";
        $SQLWHERE.=' AND [Id] NOT IN ('."\r\n";
        $SQLWHERE.='SELECT [Id] FROM [InventoryItems] where [Warehouse] IN('."\r\n";
        $SQLWHERE.="SELECT [Name] FROM [Warehouses] WHERE [Name] IN("."\r\n";
        $SQLWHERE.="'Cerveceria','Sula'"."\r\n";
        $SQLWHERE.=')'."\r\n";
        $SQLWHERE.=')'."\r\n";
        $SQLWHERE.=')'."\r\n";
        break;
    DEFAULT:
        $SQLWHERE='';
        break;
}

// Item Type Filter [GroupCode]
if ($igroupcodefilter!='ALL' && $igroupcodefilter!='') {
    $SQLWHERE.=($SQLWHERE!='' ? ' AND ' : '').'[GroupCode]='."'".$igroupcodefilter."'";
}
// Warehouse Filter (Supplier Entity Warehouse)
if ($warehousefilter!='ALL' && $warehousefilter!='') {
    $SQLWHERE.=($SQLWHERE!='' ? ' AND ' : '').'[Warehouse]='."'".$warehousefilter."'";
}
// get Inventory Items, filtered by preceding SQLWHERE conditions
include($incdir.'mssql/iitems_sel.php');


if($msdbconn) {sqlsrv_close($msdbconn);}


// SECTION: Inventory Container

echo '<!-- container-group INVENTORYITEMS beg -->'."\r\n";
echo '<DIV class="container-group" style="background-color:'.$wrappercolor.';color:#FFFFFF;padding:2px;margin-bottom:10px;font-size:14px;text-shadow:1px 1px 1px #202020;">'."\r\n\r\n";

echo '<SECTION id="content-top" style="background-color:'.$wrappercolor.';font-size:14px;padding:4px;white-space:nowrap;">'."\r\n";
echo '<span class="collapsable" title="Click here to collapse/expand this section" onclick="expandcollapse('."'inventoryitemsection')".'">';

if($screen=='STOCK') {
    echo '&nbsp;';
    echo ($wpisopen ? '<b>*** WorkPeriod is Open. Stock Counts are approximate, and Physical updates are disabled. ***</b>' : '');
    echo (!$wpisopen ? '<b>*** WorkPeriod is Closed. Stock Movements are disabled. ***</b>' : '');
}
echo '</span>'."\r\n";

echo '</SECTION>'."\r\n\r\n";

echo '<!-- container-group INVENTORYITEMS container beg -->'."\r\n";
echo '<DIV ID="inventoryitemsection" class="container-group" style="background-color:#331133;margin:0px;padding:2px;">'."\r\n\r\n";

// SECTION: Title

if($screen=='ORDER' || $screen=='REQUEST') {
    $sectiontitle=($screen!='' ? ($invreqscount>0 ? 'Other ' : '').'Items you can '.$screen.' :: ' : '');
} else {
    $sectiontitle='&nbsp;Stock at '.$wh[1]['Name'].' (left) &amp; '.$wh[2]['Name'].' (right) :: ';
}
$sectiontitle.=$posinventoryitemscount;
if($screen=='ORDER' || $screen=='REQUEST') {
    $sectiontitle.='&nbsp;(Stock at '.$wh[2]['Name'].' is shown)';
}
echo '<SECTION id="content-top" style="padding:3px;white-space:nowrap;">';
echo $sectiontitle;
echo '&nbsp;&nbsp; '."\r\n\r\n";


// SECTION: Filters

echo '<!-- FILTERS beg -->'."\r\n";

echo '<DIV CLASS="stock-item" style="margin:0px;padding:0px;color:#EEEEEE;font-size:13px;">'."\r\n\r\n";

echo '&nbsp;';
echo 'Item Type:';
echo '<SELECT size="1" id="sinventoryitemtypefilter" title="Item Type Filter" onChange="pf('."'PRODUCTTYPEFILTER','99999')".'">'."\r\n";
    echo '<OPTION VALUE="ALL">All</OPTION>'."\r\n";
    for ($prt=1; $prt<=$posinventoryitemtypescount; $prt++) {
        echo '<OPTION VALUE="'.$posinventoryitemtypes[$prt]['Name'].'"';
        echo ($igroupcodefilter==$posinventoryitemtypes[$prt]['Name'] ? ' selected' : '');
        echo '>';
        echo $posinventoryitemtypes[$prt]['Name'].'</OPTION>'."\r\n";
    }
echo '</SELECT>'."\r\n\r\n";

echo '&nbsp;';
echo 'Supplier:';
echo '<SELECT size="1" id="swarehousefilter" title="Warehouse Filter" onChange="pf('."'WAREHOUSEFILTER','99999')".'">'."\r\n";
    echo '<OPTION VALUE="ALL">All</OPTION>'."\r\n";
    for ($s=1; $s<=$possupplierscount; $s++) {
        echo '<OPTION VALUE="'.$possuppliers[$s]['Warehouse'].'"';
        echo ($warehousefilter==$possuppliers[$s]['Warehouse'] ? ' selected' : '');
        echo '>';
        echo $possuppliers[$s]['Name'].'</OPTION>'."\r\n";
    }
echo '</SELECT>&nbsp;'."\r\n\r\n";

echo '</DIV>'."\r\n";

echo '<!-- FILTERS end -->'."\r\n";

echo '</SECTION>'."\r\n";


/*************************/
// SECTION: Inventory Items

echo "\r\n".'<!-- content-page beg -->'."\r\n";
echo '<SECTION id="content-page">'."\r\n\r\n";

for ($i=1; $i<=$posinventoryitemscount; $i++) {

$iid=$posinventoryitems[$i]['Id'];

echo "\r\n".'<!-- ................. r:'.$i.' sid:'.$sid.' pid:'.$pid.' iid:'.$iid.' screen:'.$screen.' operation:'.$operation.' ................. -->'."\r\n";

echo "\r\n".'<DIV CLASS="action-container">'."\r\n\r\n";

/********** COMMON **********/
    echo "\r\n\r\n".comment(' ***** COMMON ***** ')."\r\n\r\n";

    echo '<!-- stock-item common BEG -->'."\r\n";

    echo '<DIV CLASS="stock-item" style="width:360px;" title="'.$posinventoryitems[$i]['Name'].' ('.$posinventoryitems[$i]['Warehouse'].')'.'" ID="'.$posinventoryitems[$i]['Id'].'">'."\r\n";

        echo '<INPUT TYPE="text" class="producttype" NAME="Product_Type" size="12" VALUE="'.$posinventoryitems[$i]['GroupCode'].'" disabled>'."\r\n";
        echo '<span class="boldyellow">'.$posinventoryitems[$i]['Name'].'</span>'."\r\n";

        echo '<INPUT TYPE="hidden" id="inventoryid_'.$posinventoryitems[$i]['Id'].'" VALUE="'.$posinventoryitems[$i]['Id'].'" title="InventoryId">'."\r\n";

        echo '<INPUT TYPE="hidden" id="dtrequest_'.$posinventoryitems[$i]['Id'].'" VALUE="'.date("Y-m-d H:i:s").'.000" title="Request Date/Time">'."\r\n";

        echo '<INPUT TYPE="hidden" id="tumultiplier_'.$posinventoryitems[$i]['Id'].'" VALUE="'.$posinventoryitems[$i]['TransactionUnitMultiplier'].'" title="TU Multiplier">'."\r\n";

    echo '</DIV>'."\r\n";

    echo '<!-- stock-item common END -->'."\r\n\r\n";



/********** Stock Count Compute: SHOP **********/

    $wh1itemcountlarge=0;
    $wh1itemcountsmall=0;
    $wh1itempcid=0;
    for ($c=1; $c<=$iconsumptionwh1count; $c++) {
        if ($posinventoryitems[$i]['Name']==$iconsumptionwh1[$c]['Item']) {
            $wh1itemcountlarge=$iconsumptionwh1[$c]['QLarge'];
            $wh1itemcountsmall=$iconsumptionwh1[$c]['QSmall'];
            $wh1itempcid=$iconsumptionwh1[$c]['pciID'];
        }
    }
    //if (!$wpisopen) {
    for ($c=1; $c<=$itransactionswh1count; $c++) {
        if ($posinventoryitems[$i]['Id']==$itransactionswh1[$c]['InventoryItem_Id']) {
            if ($itransactionswh1[$c]['WHsrcId']==$wh1[1]['Id']) {
                if ($itransactionswh1[$c]['Unit']==$posinventoryitems[$i]['TransactionUnit']) {
                    $wh1itemcountlarge-=$itransactionswh1[$c]['Quantity'];
                    $wh1itemcountsmall-=$itransactionswh1[$c]['Quantity']*$posinventoryitems[$i]['TransactionUnitMultiplier'];
                }
                if ($itransactionswh1[$c]['Unit']==$posinventoryitems[$i]['BaseUnit']) {
                    $wh1itemcountlarge-=$itransactionswh1[$c]['Quantity']/$posinventoryitems[$i]['TransactionUnitMultiplier'];
                    $wh1itemcountsmall-=$itransactionswh1[$c]['Quantity'];
                }
            }
            if ($itransactionswh1[$c]['WHtgtId']==$wh1[1]['Id']) {
                if ($itransactionswh1[$c]['Unit']==$posinventoryitems[$i]['TransactionUnit']) {
                    $wh1itemcountlarge+=$itransactionswh1[$c]['Quantity'];
                    $wh1itemcountsmall+=$itransactionswh1[$c]['Quantity']*$posinventoryitems[$i]['TransactionUnitMultiplier'];
                }
                if ($itransactionswh1[$c]['Unit']==$posinventoryitems[$i]['BaseUnit']) {
                    $wh1itemcountlarge+=$itransactionswh1[$c]['Quantity']/$posinventoryitems[$i]['TransactionUnitMultiplier'];
                    $wh1itemcountsmall+=$itransactionswh1[$c]['Quantity'];
                }
            }
        }
    }
    //}

/********** Stock Count Compute: BODEGA **********/

    $wh2itemcountlarge=0;
    $wh2itemcountsmall=0;
    $wh2itempcid=0;
    for ($c=1; $c<=$iconsumptionwh2count; $c++) {
        if ($posinventoryitems[$i]['Name']==$iconsumptionwh2[$c]['Item']) {
            $wh2itemcountlarge=$iconsumptionwh2[$c]['QLarge'];
            $wh2itemcountsmall=$iconsumptionwh2[$c]['QSmall'];
            $wh2itempcid=$iconsumptionwh2[$c]['pciID'];
        }
    }
    //if (!$wpisopen) {
    for ($c=1; $c<=$itransactionswh2count; $c++) {
        if ($posinventoryitems[$i]['Id']==$itransactionswh2[$c]['InventoryItem_Id']) {
            if ($itransactionswh2[$c]['WHsrcId']==$wh2[1]['Id']) {
                if ($itransactionswh2[$c]['Unit']==$posinventoryitems[$i]['TransactionUnit']) {
                    $wh2itemcountlarge-=$itransactionswh2[$c]['Quantity'];
                    $wh2itemcountsmall-=$itransactionswh2[$c]['Quantity']*$posinventoryitems[$i]['TransactionUnitMultiplier'];
                }
                if ($itransactionswh2[$c]['Unit']==$posinventoryitems[$i]['BaseUnit']) {
                    $wh2itemcountlarge-=$itransactionswh2[$c]['Quantity']/$posinventoryitems[$i]['TransactionUnitMultiplier'];
                    $wh2itemcountsmall-=$itransactionswh2[$c]['Quantity'];
                }
            }
            if ($itransactionswh2[$c]['WHtgtId']==$wh2[1]['Id']) {
                if ($itransactionswh2[$c]['Unit']==$posinventoryitems[$i]['TransactionUnit']) {
                    $wh2itemcountlarge+=$itransactionswh2[$c]['Quantity'];
                    $wh2itemcountsmall+=$itransactionswh2[$c]['Quantity']*$posinventoryitems[$i]['TransactionUnitMultiplier'];
                }
                if ($itransactionswh2[$c]['Unit']==$posinventoryitems[$i]['BaseUnit']) {
                    $wh2itemcountlarge+=$itransactionswh2[$c]['Quantity']/$posinventoryitems[$i]['TransactionUnitMultiplier'];
                    $wh2itemcountsmall+=$itransactionswh2[$c]['Quantity'];
                }
            }
        }
    }
    //}


/********** Stock Count Display: SHOP **********/

if ($screen=='STOCK') {
    $itemcountlarge=number_format((float)$wh1itemcountlarge, 2, '.', '');
    $itemcountsmall=number_format((float)$wh1itemcountsmall, 0, '.', '');
    $itempcid=$wh1itempcid;

    echo "\r\n\r\n".comment(' ***** SHOP ***** ')."\r\n\r\n";
    echo '<!-- stock-item SHOP -->'."\r\n";


    echo '<DIV CLASS="stock-item" title="Stock at '.$wh[1]['Name'].'" style="width:35px;padding-top:0px;padding-bottom:0px;font-size:6px;">'."\r\n";
    echo '<span style="font-size:10px;">'.$posinventoryitems[$i]['TransactionUnit'].'<br />'.'</span>'."\r\n";
    echo '<span style="font-size:14px;color:#DDDDDD;">'.$itemcountlarge.'</span>'."\r\n";
    echo '</DIV>'."\r\n";

    echo '<DIV CLASS="stock-item" title="Stock at '.$wh[1]['Name'].'" style="width:35px;padding-top:0px;padding-bottom:0px;font-size:6px;">'."\r\n";
    echo '<span style="font-size:10px;">'.$posinventoryitems[$i]['BaseUnit'].'<br />'.'</span>'."\r\n";
    echo '<span style="font-size:14px;color:#DDDDDD;">'.$itemcountsmall.'</span>'."\r\n";
    echo '</DIV>'."\r\n";

    echo '<!-- stock-item SHOP -->'."\r\n\r\n";


/********** ACTIONS: SHOP **********/
    echo "\r\n\r\n".comment(' ***** ACTIONS ***** ')."\r\n\r\n";

    if (!$wpisopen) {
        $butbgcolor=($itempcid>0 ? '333399' : '555555');
        echo '<DIV CLASS="action-button" style="background-color:#'.$butbgcolor.';font-size:8px" title="UPDATE '.$screen.' at '.$wh[1]['Name'].'"';
        echo ' id="stockupdate_'.$posinventoryitems[$i]['Id'].'"';
        if ($itempcid>0) {
        echo ' onclick="stockupdate(';
        echo "'".$posinventoryitems[$i]['Id']."'";
        echo ",'".$itempcid."'";
        echo ')"';
        }
        echo '>'.($itempcid>0 ? 'UPD' : '&nbsp;&nbsp;--&nbsp;&nbsp;').'</DIV>'."\r\n\r\n";
    }
    
    if ($wpisopen) {
        echo '<DIV CLASS="action-button" style="background-color:#550099;font-size:8px" title="Move from '.$wh[1]['Name'].' to '.$wh[2]['Name'].'"';
        echo ' id="stockmove_'.$posinventoryitems[$i]['Id'].'"';
        echo ' onclick="stockmove(';
        echo "'L2R'";
        echo ",'".$posinventoryitems[$i]['Id']."'";
        echo ",'".$idoctypewh1[1]['iDocTypeId']."'";
        echo ')"';
        echo '>MOVE &gt;</DIV>'."\r\n\r\n";
    }

} // if ($screen=='STOCK')


/********** SELECTORS: COMMON **********/
    if($screen=='ORDER') {
    echo '<DIV CLASS="stock-item" style="width:190px;">'."\r\n";
        echo '<SELECT size="1" id="selectedwarehouse_'.$posinventoryitems[$i]['Id'].'" title="Warehouse">'."\r\n";
        for ($s=1; $s<=$warehousescount; $s++) {
            echo '<OPTION VALUE="'.$warehouses[$s]['Id'].'"';
            echo ($posinventoryitems[$i]['Warehouse']==$warehouses[$s]['Name'] ? ' selected' : '');
            echo '>';
            echo $warehouses[$s]['Name'].'</OPTION>'."\r\n";
        }
        echo '</SELECT>'."\r\n\r\n";
    echo '</DIV>'."\r\n\r\n";
    }

    echo '<DIV CLASS="stock-item" style="width:200px;">'."\r\n";

    $plusminus='MINUSSTOCK';
    echo '<DIV CLASS="plusminus-button"';
    echo ' onclick="plusminus(';
    echo     "'".$plusminus."'";
    echo ','."'".$posinventoryitems[$i]['Id']."'";
    echo ')"';
    echo '> - </DIV>'."\r\n";

    $plusminus='PLUSSTOCK';
    echo '<DIV CLASS="plusminus-button"';
    echo ' onclick="plusminus(';
    echo     "'".$plusminus."'";
    echo ','."'".$posinventoryitems[$i]['Id']."'";
    echo ')"';
    echo '> + </DIV>'."\r\n\r\n";

    echo '<INPUT TYPE="text" id="q_'.$posinventoryitems[$i]['Id'].'" size="2" VALUE="1" title="Quantity">'."\r\n\r\n";

    echo '<SELECT size="1" id="unit_'.$posinventoryitems[$i]['Id'].'" title="Unit">'."\r\n";
        for($t=1; $t<=$posinventorytransactionunitscount; $t++) {
            if ($posinventoryitems[$i]['TransactionUnit']==$posinventorytransactionunits[$t]['Name']) {
            echo '<OPTION VALUE="'.$posinventorytransactionunits[$t]['Name'].'"';
            //echo ($posinventoryitems[$i]['TransactionUnit']==$posinventorytransactionunits[$t]['Name'] ? ' selected' : '');
            echo '>';
            echo $posinventorytransactionunits[$t]['Name'].'</OPTION>'."\r\n";
            }
        }
        for($t=1; $t<=$posinventorybaseunitscount; $t++) {
            if ($posinventoryitems[$i]['BaseUnit']==$posinventorybaseunits[$t]['Name']) {
            echo '<OPTION VALUE="'.$posinventorybaseunits[$t]['Name'].'"';
            //echo ($posinventoryitems[$i]['BaseUnit']==$posinventorybaseunits[$t]['Name'] ? ' selected' : '');
            echo '>';
            echo $posinventorybaseunits[$t]['Name'].'</OPTION>'."\r\n";
            }
        }
    echo '</SELECT>'."\r\n\r\n";

    if($screen=='REQUEST') {
        $warehouseid=0;
        for ($s=1; $s<=$warehousescount; $s++) {
            if ($warehouses[$s]['Name']==$wh[2]['Name']) {
                $warehouseid=$warehouses[$s]['Id'];
                break;
            }
        }
        echo '<INPUT type="hidden" id="selectedwarehouse_'.$posinventoryitems[$i]['Id'].'" VALUE="'.$warehouseid.'">'."\r\n";
    }

    echo '</DIV>'."\r\n\r\n";


/********** ACTIONS: BODEGA **********/
    $itemcountlarge=number_format((float)$wh2itemcountlarge, 2, '.', '');
    $itemcountsmall=number_format((float)$wh2itemcountsmall, 0, '.', '');
    $itempcid=$wh2itempcid;

if ($screen=='STOCK') {
    if ($wpisopen) {
        echo '<DIV CLASS="action-button" style="background-color:#550000;font-size:8px" title="Move from '.$wh[2]['Name'].' to '.$wh[1]['Name'].'"';
        echo ' id="stockmove_'.$posinventoryitems[$i]['Id'].'"';
        echo ' onclick="stockmove(';
        echo "'R2L'";
        echo ",'".$posinventoryitems[$i]['Id']."'";
        echo ",'".$idoctypewh2[1]['iDocTypeId']."'";
        echo ')"';
        echo '>&lt; MOVE</DIV>'."\r\n\r\n";
    }

    if (!$wpisopen) {
        $butbgcolor=($itempcid>0 ? '333399' : '555555');
        echo '<DIV CLASS="action-button" style="background-color:#'.$butbgcolor.';font-size:8px" title="UPDATE '.$screen.' at '.$wh[2]['Name'].'"';
        echo ' id="stockupdate_'.$posinventoryitems[$i]['Id'].'"';
        if ($itempcid>0) {
        echo ' onclick="stockupdate(';
        echo "'".$posinventoryitems[$i]['Id']."'";
        echo ",'".$itempcid."'";
        echo ')"';
        }
        echo '>'.($itempcid>0 ? 'UPD' : '&nbsp;&nbsp;--&nbsp;&nbsp;').'</DIV>'."\r\n\r\n";
    }
    
} // if ($screen='STOCK')


/********** Stock Count Display: BODEGA **********/

    echo "\r\n\r\n".comment(' ***** BODEGA ***** ')."\r\n\r\n";
    echo '<!-- stock-item BODEGA -->'."\r\n";

    echo '<DIV CLASS="stock-item" title="Stock at '.$wh[2]['Name'].'" style="width:35px;padding-top:0px;padding-bottom:0px;font-size:6px;">'."\r\n";
    echo '<span style="font-size:10px;">'.$posinventoryitems[$i]['TransactionUnit'].'<br />'.'</span>'."\r\n";
    echo '<span style="font-size:14px;color:#DDDDDD;">'.$itemcountlarge.'</span>'."\r\n";
    echo '</DIV>'."\r\n";

    echo '<DIV CLASS="stock-item" title="Stock at '.$wh[2]['Name'].'" style="width:35px;padding-top:0px;padding-bottom:0px;font-size:6px;">'."\r\n";
    echo '<span style="font-size:10px;">'.$posinventoryitems[$i]['BaseUnit'].'<br />'.'</span>'."\r\n";
    echo '<span style="font-size:14px;color:#DDDDDD;">'.$itemcountsmall.'</span>'."\r\n";
    echo '</DIV>'."\r\n";

    echo '<!-- stock-item BODEGA -->'."\r\n\r\n";


/********** ACTIONS: ORDER, REQUEST **********/
if ($screen=='ORDER' || $screen=='REQUEST') {
    echo '<DIV CLASS="action-button" style="background-color:#339933" title="'.$screen.': '.$posinventoryitems[$i]['Name'].'"';
    echo ' value="'.$posinventoryitems[$i]['Id'].'"';
    echo ' onclick="pf(';
    echo     "'".$screen."'";
    echo ','."'".$posinventoryitems[$i]['Id']."'";
    echo ')"';
    echo '>'.$screen.'</DIV>'."\r\n";
}

echo "\r\n".'</DIV>'."\r\n";
echo '<!-- action-container end -->'."\r\n";
} // for ($i=1; $i<=$posinventoryitemscount; $i++)



/********** END **********/

echo "\r\n".'</SECTION>'."\r\n";
echo '<!-- #content-page end  -->'."\r\n\r\n";

echo '</DIV><!-- container-group INVENTORYITEMS container end -->'."\r\n\r\n";
echo '</DIV><!-- container-group INVENTORYITEMS end -->'."\r\n\r\n";

?>
