<?php
// if this var is not set, we have no config, so get out
if ($webdom=='') {
    header("Location: ../");
    die();
}

/////////////////////////////////////////////
// CONFIGZ.PHP
//
// more variables that are required for
// proper site functionality and shouldn't
// be altered, unless you know what they do
/////////////////////////////////////////////

$queries='';

if (file_exists($incdir.'zzzdebug.txt')) {
    $debug=true;
} else {
    $debug=false;
}

$ua=getBrowser();
//$yourbrowser= "Your browser: " . $ua['name'] . " " . $ua['version'] . " on " .$ua['platform'] . " reports: <br >" . $ua['userAgent'];
//print_r($yourbrowser);

// Document type ... don't alter it unless you know what it's for, and how it can affect things
//$doctype = '<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">';
//$doctype = '<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">';
$doctype = '<!doctype html>'; // HTML 5

// get client browser IP for VOTING
$userip = $_SERVER["REMOTE_ADDR"];

// path to the Admin System (AS)
$adminpath = '!zadmin/';

$inadmin = ($_SERVER["PHP_SELF"]=='/'.$adminpath.'admin.php' ? TRUE : FALSE);
$inupload = (strpos($_SERVER['PHP_SELF'], 'upload/')!==FALSE ? TRUE : FALSE);

if(!$inadmin && !$inupload) {
    //include ($incdir.'mssql/sitevisitors_upd.php');
}


// META info
$metainfo = '';
//$metainfo .= '<meta http-equiv="Content-Type" content="text/html; charset=windows-1252">'."\r\n";
$metainfo .= '<meta charset="utf-8" />'."\r\n";
//$metainfo .= '<meta http-equiv="Content-Language" content="en-us">'."\r\n";
//$metainfo .= '<meta name="googlebot" content="noodp">'."\r\n";
$metainfo .= '<meta name="Content-Language" CONTENT="english"> '."\r\n";
$metainfo .= '<meta name="Keywords" content="'.$keywords.'">'."\r\n";
//$metainfo .= '<meta name="description" content="'.$webdescription.'">'."\r\n";
$metainfo .= '<meta name="abstract" content="JV Inventory System">'."\r\n";
//$metainfo .= '<meta name="rating" content="general">'."\r\n";
$metainfo .= '<meta name="GENERATOR" content="NOTEPAD">'."\r\n";
$metainfo .= '<meta name="Author" content="'.$webname.'">'."\r\n";
$metainfo .= '<meta name="Owner" content="'.$webname.'">'."\r\n";
//$metainfo .= '<meta name="Classification" content="Private">'."\r\n";
//$metainfo .= '<meta name="developer" content="'.$webname.'">'."\r\n";
//$metainfo .= '<meta name="designer" content="'.$webname.'">'."\r\n";
$metainfo .= '<meta name="robots" content="no index, no follow">'."\r\n"; // <!-- (Robot commands: All, None, Index, No Index, Follow, No Follow) -->
//$numdays  = mktime(0, 0, 0, date("m")  , date("d")+2, date("Y"));
//$metainfo .= '<meta name="expires" content="'.date('D, d M Y', $numdays).'">'."\r\n";
//$metainfo .= '<meta name="revisit-after" content="2 days">'."\r\n";
//$metainfo .= '<meta name="distribution" content="global">'."\r\n";
//$metainfo .= '<meta name="google-translate-customization" content="c5eb131b37c901d1-ff48587f716a4056-gc3cd1e539159561e-10">'."\r\n";




/////////////////////////////////////////////
// Check and set sessions and cookies
/////////////////////////////////////////////

session_start();

if(!$inadmin && !$inupload) {
    include $incdir.('sessions.php');
}


if($inadmin) {
    include ('assessions.php');
    include ('controlarray.php');
    // AS Control Rollouts
    for($r=1; $r<=count($controls); $r++) {
        $cat_on = !isset($_COOKIE['rollout_' . $r]) || !empty($_COOKIE['rollout_' . $r]) ? true : false;
        if( $cat_on ) {
            $ro[$r]=true;
        } else {
            $ro[$r]=false;
        }
    }
}

// we use $imgroot for the AS, independent of $imgpath
$imgroot=$imgpath;
$photoroot=$photopath;

// set JS scripts
$jscommon = '';
$jscommon .= '<script type="text/javascript">var weburl="http://'.$webdom.'/"</script>'."\r\n";



// setup special cases for AS and UPLOAD control
if($inadmin) {
    $imgpath='../'.$imgpath;
    $photopath='../'.$photopath;
    $styler = '<link rel="stylesheet" type="text/css" href="../zcss/admin.css">';
    $jsrollout = '';
    $jsrollout .= '<script type="text/javascript" src="../zjs/rollout.js"></script>'."\r\n";
    $jscommon .= $jsrollout;
}
if($inupload) {
    $imgpath='../../../../'.$imgpath;
    $photopath='../../../../'.$photopath;
    $styler = '<link rel="stylesheet" type="text/css" href="../../../../zcss/admin.css">';

    $jscommon .= "\r\n";
    $jscommon .= '<SCRIPT type="text/javascript">'."\r\n";
    $jscommon .= 'self.focus();'."\r\n";
    $jscommon .= 'if (self.name != "UPLWIN") {self.name = "UPLWIN";}'."\r\n";
    $jscommon .= '</SCRIPT>'."\r\n";
    $jscommon .= "\r\n";
}


// define missing image
$imgnotfound=$imgpath.'noimage.jpg';
if(!file_exists($imgnotfound)) {$imgnotfound=$imgpath.'noimage.jpg';}

// CSS files
$styler = ($styler ? $styler : '<link rel="stylesheet" type="text/css" href="'.$stylesheet.'">'."\r\n"); // config.php
if($inadmin || $inupload) {
    // don't include styles, if in AS
} else {
    $styler .= '<link rel="stylesheet" type="text/css" href="'.$updir.'zcss/styles.css" media="screen" />'."\r\n";
    $styler .= '<link rel="stylesheet" type="text/css" href="'.$updir.'zcss/print.css" media="print" />'."\r\n";
}
?>