USE [SambaPOS4]
GO

/****** Object:  Table [dbo].[InvRequests]    Script Date: 2014-09-16 5:08:05 PM ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[InvRequests] (
  [Id] [int] IDENTITY(1,1) NOT NULL,
  [ActionBeg] [nvarchar](max) NOT NULL,
  [DateBeg] datetime NOT NULL default '2014-01-01 00:00:00',
  [DateEnd] datetime NOT NULL default '2014-01-01 00:00:00',
  [ActionEnd] [nvarchar](max) default NULL,
  [Action] [nvarchar](max) default NULL,
  [Status] [nvarchar](max) default NULL,
  [InventoryId] [int] NOT NULL default '0',
  [GroupCode] [nvarchar](max) default NULL,
  [WarehouseId] [int] NOT NULL default '0',
  [Unit] [nvarchar](max) default NULL,
  [Quantity] [decimal](16, 3) NOT NULL default '0.000',
  [Active] [int] NOT NULL default '1',
 CONSTRAINT [PK_dbo.InvRequests] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO

