<?php
// if this var is not set, we have no config, so get out
if ($webdom=='') {
    header("Location: /");
    die();
}

$msdbconn=msdbconnect();

// UPDATE or ADD Inventory Item
if ($operation=='UPDATE' || $operation=='AddItem') {
    include($incdir.'mssql/iitems_upd.php');
}

// Supplier Entities, with corresponding Warehouses
$SQLWHERE="et.[Name]='Suppliers'";
include($incdir.'mssql/suppliers_sel.php');

// All Warehouses
$arrayname='warehouses';
include($incdir.'mssql/warehouses_sel.php');

// Inventory Item Types [GroupCode]
$arrayname='groupcodes';
include($incdir.'mssql/iitemtypes_sel.php');
// Inventory Unit Base
include($incdir.'mssql/iunitsbase_sel.php');
// Inventory Unit Transaction
include($incdir.'mssql/iunitstransaction_sel.php');



/*************************/
// Inventory Items
/*************************/

// Item Type Filter [GroupCode]
if ($igroupcodefilter!='ALL' && $igroupcodefilter!='') {
    $SQLWHERE.=($SQLWHERE!='' ? ' AND ' : '').'[GroupCode]='."'".$igroupcodefilter."'";
}
// Warehouse Filter (Supplier Entity Warehouse)
if ($warehousefilter!='ALL' && $warehousefilter!='') {
    $SQLWHERE.=($SQLWHERE!='' ? ' AND ' : '').'[Warehouse]='."'".$warehousefilter."'";
}
// get Inventory Items, filtered by preceding SQLWHERE conditions
include($incdir.'mssql/iitems_sel.php');


if($msdbconn) {sqlsrv_close($msdbconn);}


// SECTION: Inventory Container

echo '<!-- container-group INVENTORYITEMS beg -->'."\r\n";
echo '<DIV class="container-group" style="background-color:'.$wrappercolor.';color:#FFFFFF;padding:2px;margin-bottom:10px;font-size:14px;text-shadow:1px 1px 1px #202020;">'."\r\n\r\n";

echo '<SECTION id="content-top" style="background-color:'.$wrappercolor.';font-size:14px;padding:4px;white-space:nowrap;">'."\r\n";
echo '<span class="collapsable" title="Click here to collapse/expand this section" onclick="expandcollapse('."'inventoryitemsection')".'">';
echo '&nbsp;Add or Update Inventory Items&nbsp;';
echo ($existingitemcount>0 ? '&nbsp;<INPUT TYPE="text" size="70" class="producttype" VALUE="'." * FAILED to update/add '".$inventoryname."' - item already exists in GroupCode '".$existinggroupcode."'".'" disabled>' : '');
echo '</span>'."\r\n";

echo '</SECTION>'."\r\n\r\n";

echo '<!-- container-group INVENTORYITEMS container beg -->'."\r\n";
echo '<DIV ID="inventoryitemsection" class="container-group" style="background-color:#331133;margin:0px;padding:2px;">'."\r\n\r\n";

// SECTION: Title

$sectiontitle ='Inventory Items :: ';
$sectiontitle.=$posinventoryitemscount;

echo '<SECTION id="content-top" style="padding:3px;white-space:nowrap;">';
echo $sectiontitle;
echo '&nbsp;&nbsp; '."\r\n\r\n";


// SECTION: Filters

echo '<!-- FILTERS beg -->'."\r\n";

echo '<DIV CLASS="stock-item" style="margin:0px;padding:0px;color:#EEEEEE;font-size:13px;">'."\r\n\r\n";

echo '&nbsp;';
echo 'GroupCode:';
echo '<SELECT size="1" id="sinventoryitemtypefilter" title="Item Type Filter" onChange="pf('."'PRODUCTTYPEFILTER','99999')".'">'."\r\n";
    echo '<OPTION VALUE="ALL">All</OPTION>'."\r\n";
    for ($prt=1; $prt<=$groupcodescount; $prt++) {
        echo '<OPTION VALUE="'.$groupcodes[$prt]['Name'].'"';
        echo ($igroupcodefilter==$groupcodes[$prt]['Name'] ? ' selected' : '');
        echo '>';
        echo $groupcodes[$prt]['Name'].'</OPTION>'."\r\n";
    }
echo '</SELECT>'."\r\n\r\n";

echo '&nbsp;';
echo 'Supplier:';
echo '<SELECT size="1" id="swarehousefilter" title="Warehouse Filter" onChange="pf('."'WAREHOUSEFILTER','99999')".'">'."\r\n";
    echo '<OPTION VALUE="ALL">All</OPTION>'."\r\n";
    for ($s=1; $s<=$possupplierscount; $s++) {
        echo '<OPTION VALUE="'.$possuppliers[$s]['Warehouse'].'"';
        echo ($warehousefilter==$possuppliers[$s]['Warehouse'] ? ' selected' : '');
        echo '>';
        echo $possuppliers[$s]['Name'].'</OPTION>'."\r\n";
    }
echo '</SELECT>&nbsp;'."\r\n\r\n";

echo '</DIV>'."\r\n";

echo '<!-- FILTERS end -->'."\r\n";

echo '</SECTION>'."\r\n";


/*************************/
// SECTION: Inventory Items

echo "\r\n".'<!-- content-page beg -->'."\r\n";
echo '<SECTION id="content-page">'."\r\n\r\n";



/********** NEW ITEM **********/


echo "\r\n".'<DIV CLASS="action-container" style="background-color:#CC7700">'."\r\n\r\n";

/********** COMMON **********/
    echo "\r\n\r\n".comment(' ***** COMMON ***** ')."\r\n\r\n";

    echo '<!-- stock-item common BEG -->'."\r\n";

    echo '<DIV CLASS="stock-item" style="width:110px;">'."\r\n";
        echo '<INPUT TYPE="text" size="9" name="newgroupcode" id="newgroupcode" placeholder="(GroupCode)" VALUE="" title="GroupCode">'."\r\n";
        echo '<br />'."\r\n";
        echo '<SELECT size="1" name="selectedgroupcode_999999" id="selectedgroupcode_999999" title="GroupCode">'."\r\n";
        for ($s=1; $s<=$groupcodescount; $s++) {
            echo '<OPTION VALUE="'.$groupcodes[$s]['Name'].'"';
            echo ($igroupcodefilter==$groupcodes[$s]['Name'] ? ' selected' : '');
            echo '>';
            echo $groupcodes[$s]['Name'].'</OPTION>'."\r\n";
        }
        echo '</SELECT>'."\r\n\r\n";
    echo '</DIV>'."\r\n\r\n";

    echo '<DIV CLASS="stock-item" style="width:220px;">'."\r\n";
        echo '<span style="font-size:10px;">Item Name<br /></span>';
        echo '<INPUT TYPE="text" id="inventoryname_999999" placeholder="(New Item Name)" VALUE="" title="Item Name">'."\r\n";
    echo '</DIV>'."\r\n";

    echo '<DIV CLASS="stock-item" style="width:190px;">'."\r\n";
        echo '<span style="font-size:10px;">Warehouse<br /></span>';
        echo '<SELECT size="1" id="selectedwarehouse_999999" title="Warehouse">'."\r\n";
        for ($s=1; $s<=$warehousescount; $s++) {
            echo '<OPTION VALUE="'.$warehouses[$s]['Id'].'"';
            echo ($warehousefilter==$warehouses[$s]['Name'] ? ' selected' : '');
            echo '>';
            echo $warehouses[$s]['Name'].'</OPTION>'."\r\n";
        }
        echo '</SELECT>'."\r\n\r\n";
    echo '</DIV>'."\r\n";

    echo '<!-- stock-item common END -->'."\r\n\r\n";

/********** UNITS: COMMON **********/

// Base Unit
    echo '<DIV CLASS="stock-item" style="width:60px;">'."\r\n";
        echo '<span style="font-size:10px;">Base Cost<br /></span>';
        echo '<INPUT TYPE="text" size="4" id="baseunitcost_999999" placeholder="Cost" VALUE="" title="Base Unit Default Cost">'."\r\n";
    echo '</DIV>'."\r\n\r\n";
    echo '<DIV CLASS="stock-item" style="width:70px;">'."\r\n";
    echo '<INPUT TYPE="text" size="5" name="newbaseunit" id="newbaseunit" placeholder="(Unit)" VALUE="" title="Base Unit">'."\r\n";
        echo '<br />'."\r\n";
    echo '<SELECT size="1" id="baseunit_999999" title="Base Unit">'."\r\n";
        for($t=1; $t<=$posinventorybaseunitscount; $t++) {
            echo '<OPTION VALUE="'.$posinventorybaseunits[$t]['Name'].'"';
            //echo ($posinventoryitems[$i]['BaseUnit']==$posinventorybaseunits[$t]['Name'] ? ' selected' : '');
            echo '>';
            echo $posinventorybaseunits[$t]['Name'].'</OPTION>'."\r\n";
        }
    echo '</SELECT>'."\r\n\r\n";
    
    echo '</DIV>'."\r\n\r\n";

// Transaction Unit
    echo '<DIV CLASS="stock-item" style="width:120px;">'."\r\n";
        echo '<span style="font-size:10px;">Tx Cost &amp; Multiplier<br /></span>';
        echo '<INPUT TYPE="text" size="4" id="txunitcost_999999" placeholder="Cost" VALUE="" title="Transaction Unit Default Cost">'."\r\n";
        echo '<INPUT TYPE="text" size="4" id="tumultiplier_999999" placeholder="Mult" VALUE="" title="TU Multiplier">'."\r\n";
    echo '</DIV>'."\r\n\r\n";

    echo '<DIV CLASS="stock-item" style="width:75px;">'."\r\n";
    echo '<INPUT TYPE="text" size="6" name="newtxunit" id="newtxunit" placeholder="(Tx Unit)" VALUE="" title="Transaction Unit">'."\r\n";
        echo '<br />'."\r\n";
    echo '<SELECT size="1" id="txunit_999999" title="Transaction Unit">'."\r\n";
        for($t=1; $t<=$posinventorytransactionunitscount; $t++) {
            echo '<OPTION VALUE="'.$posinventorytransactionunits[$t]['Name'].'"';
            //echo ($posinventoryitems[$i]['TransactionUnit']==$posinventorytransactionunits[$t]['Name'] ? ' selected' : '');
            echo '>';
            echo $posinventorytransactionunits[$t]['Name'].'</OPTION>'."\r\n";
        }
    echo '</SELECT>'."\r\n\r\n";

    echo '</DIV>'."\r\n\r\n";



        $butbgcolor=(1==1 ? '339933' : '555555');
        echo '<DIV CLASS="action-button" style="background-color:#'.$butbgcolor.';font-size:8px" title="ADD New Item"';
        echo ' id="inventoryadd_999999"';
        echo ' onclick="pf(';
        echo "'AddItem'";
        echo ",'999999'";
        echo ')"';
        echo '>ADD</DIV>'."\r\n\r\n";
    


echo "\r\n".'</DIV>'."\r\n";
echo '<!-- action-container end -->'."\r\n";

echo '<br />'."\r\n";


/********** EXISTING ITEMS **********/


for ($i=1; $i<=$posinventoryitemscount; $i++) {

$iid=$posinventoryitems[$i]['Id'];

echo "\r\n".'<!-- ................. r:'.$i.' sid:'.$sid.' pid:'.$pid.' iid:'.$iid.' screen:'.$screen.' operation:'.$operation.' ................. -->'."\r\n";

echo "\r\n".'<DIV CLASS="action-container">'."\r\n\r\n";

/********** COMMON **********/
    echo "\r\n\r\n".comment(' ***** COMMON ***** ')."\r\n\r\n";

    echo '<!-- stock-item common BEG -->'."\r\n";

    echo '<DIV CLASS="stock-item" style="width:110px;">'."\r\n";
        echo '<SELECT size="1" name="selectedgroupcode_'.$posinventoryitems[$i]['Id'].'" id="selectedgroupcode_'.$posinventoryitems[$i]['Id'].'" title="GroupCode">'."\r\n";
        for ($s=1; $s<=$groupcodescount; $s++) {
            echo '<OPTION VALUE="'.$groupcodes[$s]['Name'].'"';
            echo ($posinventoryitems[$i]['GroupCode']==$groupcodes[$s]['Name'] ? ' selected' : '');
            echo '>';
            echo $groupcodes[$s]['Name'].'</OPTION>'."\r\n";
        }
        echo '</SELECT>'."\r\n\r\n";
    echo '</DIV>'."\r\n\r\n";

    echo '<DIV CLASS="stock-item" style="width:220px;" title="'.$posinventoryitems[$i]['Name'].' ('.$posinventoryitems[$i]['Warehouse'].')'.'" ID="'.$posinventoryitems[$i]['Id'].'">'."\r\n";

        echo '<INPUT TYPE="text" id="inventoryname_'.$posinventoryitems[$i]['Id'].'" VALUE="'.$posinventoryitems[$i]['Name'].'" title="Item Name">'."\r\n";

        echo '<INPUT TYPE="hidden" id="inventoryid_'.$posinventoryitems[$i]['Id'].'" VALUE="'.$posinventoryitems[$i]['Id'].'" title="InventoryId">'."\r\n";



    echo '</DIV>'."\r\n";

    echo '<!-- stock-item common END -->'."\r\n\r\n";



/********** UNITS: COMMON **********/

// Warehouse
    echo '<DIV CLASS="stock-item" style="width:190px;">'."\r\n";
        echo '<SELECT size="1" id="selectedwarehouse_'.$posinventoryitems[$i]['Id'].'" title="Warehouse">'."\r\n";
        for ($s=1; $s<=$warehousescount; $s++) {
            echo '<OPTION VALUE="'.$warehouses[$s]['Id'].'"';
            echo ($posinventoryitems[$i]['Warehouse']==$warehouses[$s]['Name'] ? ' selected' : '');
            echo '>';
            echo $warehouses[$s]['Name'].'</OPTION>'."\r\n";
        }
        echo '</SELECT>'."\r\n\r\n";
    echo '</DIV>'."\r\n\r\n";

// Base Unit
    echo '<DIV CLASS="stock-item" style="width:140px;">'."\r\n";

    echo '<INPUT TYPE="text" size="4" id="baseunitcost_'.$posinventoryitems[$i]['Id'].'" VALUE="'.$posinventoryitems[$i]['DefaultBaseUnitCost'].'" title="Base Unit Default Cost">'."\r\n";

    echo '<SELECT size="1" id="baseunit_'.$posinventoryitems[$i]['Id'].'" title="Base Unit">'."\r\n";
        for($t=1; $t<=$posinventorybaseunitscount; $t++) {
            echo '<OPTION VALUE="'.$posinventorybaseunits[$t]['Name'].'"';
            echo ($posinventoryitems[$i]['BaseUnit']==$posinventorybaseunits[$t]['Name'] ? ' selected' : '');
            echo '>';
            echo $posinventorybaseunits[$t]['Name'].'</OPTION>'."\r\n";
        }
    echo '</SELECT>'."\r\n\r\n";
    
    echo '</DIV>'."\r\n\r\n";

// Transaction Unit
    echo '<DIV CLASS="stock-item" style="width:210px;">'."\r\n";

    echo '<INPUT TYPE="text" size="4" id="txunitcost_'.$posinventoryitems[$i]['Id'].'" VALUE="'.$posinventoryitems[$i]['DefaultTransactionUnitCost'].'" title="Transaction Unit Default Cost">'."\r\n";

    echo '<INPUT TYPE="text" size="4" id="tumultiplier_'.$posinventoryitems[$i]['Id'].'" VALUE="'.$posinventoryitems[$i]['TransactionUnitMultiplier'].'" title="TU Multiplier">'."\r\n";

    echo '<SELECT size="1" id="txunit_'.$posinventoryitems[$i]['Id'].'" title="Transaction Unit">'."\r\n";
        for($t=1; $t<=$posinventorytransactionunitscount; $t++) {
            echo '<OPTION VALUE="'.$posinventorytransactionunits[$t]['Name'].'"';
            echo ($posinventoryitems[$i]['TransactionUnit']==$posinventorytransactionunits[$t]['Name'] ? ' selected' : '');
            echo '>';
            echo $posinventorytransactionunits[$t]['Name'].'</OPTION>'."\r\n";
        }
    echo '</SELECT>'."\r\n\r\n";

    echo '</DIV>'."\r\n\r\n";



        $butbgcolor=(1==1 ? '333399' : '555555');
        echo '<DIV CLASS="action-button" style="background-color:#'.$butbgcolor.';font-size:8px" title="UPDATE '.$posinventoryitems[$i]['Name'].'"';
        echo ' id="inventoryupdate_'.$posinventoryitems[$i]['Id'].'"';
        echo ' onclick="pf(';
        echo "'UPDATE'";
        echo ",'".$posinventoryitems[$i]['Id']."'";
        echo ')"';
        echo '>UPD</DIV>'."\r\n\r\n";
    


echo "\r\n".'</DIV>'."\r\n";
echo '<!-- action-container end -->'."\r\n";
} // for ($i=1; $i<=$posinventoryitemscount; $i++)



/********** END **********/

echo "\r\n".'</SECTION>'."\r\n";
echo '<!-- #content-page end  -->'."\r\n\r\n";

echo '</DIV><!-- container-group INVENTORYITEMS container end -->'."\r\n\r\n";
echo '</DIV><!-- container-group INVENTORYITEMS end -->'."\r\n\r\n";

?>
