<?php
// if this var is not set, we have no config, so get out
if ($webdom=='') {
    header("Location: /");
    die();
}

$msdbconn=msdbconnect();

if (!$wpisopen) {
    echo '<DIV style="margin:10px;padding:10px;font-size:20px;font-weight:bold;text-align:center;color:#00FFFF;">';
    echo 'WorkPeriod must be Open.<br /><br />';
    echo 'Please Start a WorkPeriod.<br /><br />';
    echo 'Then <a href="?screen='.$screen.'">REFRESH</a> this screen.';
    echo '</DIV>';
    die();
}


if ($operation=='AddItem' || $operation=='RemoveItem') {
    include($incdir.'mssql/itransactions_upd.php');
}

if ($operation=='PAYOUT') {
    include($incdir.'mssql/atransactions_upd.php');
}

// Supplier Entities
$SQLWHERE="et.[Name]='Suppliers'";
include($incdir.'mssql/suppliers_sel.php');

// Supplier Warehouses
$SQLWHERE="wt.[Name]='".$wht[2]['Name']."'";
include($incdir.'mssql/warehouses_sel.php');

// Tax Rates
include($incdir.'mssql/taxtemplates_sel.php');

// Inventory Document Type used for Supplier Purchases which inserts stock into Warehouse 1 [SHOP]
$SQLWHERE="itdt.[Name] like '%Purchase%'";
include($incdir.'mssql/itxdoctypes_sel.php');

// Inventory Item Types [GroupCode]
include($incdir.'mssql/iitemtypes_sel.php');
// Inventory Unit Base
include($incdir.'mssql/iunitsbase_sel.php');
// Inventory Unit Transaction
include($incdir.'mssql/iunitstransaction_sel.php');


// Account Transaction Types used to Pay Supplier Accounts
$SQLWHERE="at2.[Name]='Supplier Accounts' AND att.[Name] not like '%USD' AND att.[Name] not like '%Change%'";
include($incdir.'mssql/atxtypes_sel.php');
// Account Document Types used to Pay Supplier Accounts (these appear as buttons in the Payout section of the PURCHASE screen)
$SQLWHERE="dt.[Name] like 'Cash%Supplier' or dt.[Name] like 'Wallet%Supplier' or dt.[Name] like 'Bank%Supplier'";
include($incdir.'mssql/atxdoctypes_sel.php');

// Account Transaction Documents made to Suppliers
$SQLWHERE="[Date]>='".$wpdate."' AND d.[Name] like '%Supplier'";
include($incdir.'mssql/atxdocs_sel.php');
// Account Transactions made to Supplier Accounts
$SQLWHERE="d.[Date]>='".$wpdate."' AND d.[Name] like '%Supplier'";
include($incdir.'mssql/atransactions_sel.php');


/*************************/
// PREVIOUS PAYOUTS
/*************************/

// Inventory Documents which were created previously, excluding Stock 'Transfer' documents
$SQLWHERE="[Date]>='".$wpdate."'"."\r\n";
$SQLWHERE.="AND [Name] NOT like '%Txfr%'";
include($incdir.'mssql/idocs_sel.php');

echo '<!-- container-group PREVIOUSDOCS beg -->'."\r\n";
echo '<DIV class="container-group" style="background-color:#AA6611;color:#FFFFFF;padding:2px;margin-bottom:10px;font-size:14px;text-shadow:1px 1px 1px #202020;">'."\r\n";
echo '<span class="collapsable" title="Click here to collapse/expand this section" onclick="expandcollapse('."'previous')".'">';
echo '&nbsp;&nbsp;PREVIOUS ';
echo '<span style="font-size:10px">(click to collapse/expand)</span>&nbsp;&nbsp;';
echo '<span class="collapsable" style="font-size:14px;color:#FFFF00" id="payoutwarning"></span>';
if (!$wpisopen) {
echo '&nbsp;&nbsp;<span class="collapsable" style="font-size:12px;color:#FFFF00" id="wpclosedwarning"><b>*** WARNING: WorkPeriod is Closed. Payments should NOT be made from Drawer!</b></span>';
}
echo '</span>&nbsp;&nbsp;'."\r\n";
echo '<!-- container-group PREVIOUSDOCS container beg -->'."\r\n";
echo '<DIV ID="previous" class="container-group" style="background-color:#001133;margin:0px;padding:0px;padding-top:1px;padding-bottom:1px;'.($collapsesection=='previous'?'display:none;':'').'">'."\r\n";

for ($d=1; $d<=$inventorydocumentscount; $d++) {

    // Inventory Transactions for this Document
    $SQLWHERE=' [InventoryTransactionDocumentId]='.$inventorydocuments[$d]['Id']."\r\n";
    include($incdir.'mssql/itransactions_sel.php');

    echo '<!-- container-group DOC '.$inventorydocuments[$d]['Name'].' beg -->'."\r\n";
    echo '<DIV class="container-group" style="background-color:#0055BB">'."\r\n";

    echo '<SECTION id="content-top" style="background-color:#0055BB;font-size:12px;margin:0px;padding:0px;padding-left:3px">'."\r\n";
    echo $inventorydocuments[$d]['Name'];
    echo ' :: '.$inventorytransactionscount;
    echo ' :: <span ID="idoctotal_'.$inventorydocuments[$d]['Name'].'">0</span>';
    echo '</SECTION>'."\r\n";

    echo '<!-- container-group DOC ITEMS beg -->'."\r\n";
    echo '<DIV class="container-group" id="previousdoc_'.$inventorydocuments[$d]['Id'].'" style="background-color:#110000;font-size:11px;margin:0px;padding:4px;">'."\r\n\r\n";

// PAYOUT section

    echo '<!-- payout-section beg -->'."\r\n";
    echo '<DIV CLASS="payout-section" ID="PayoutSection_'.$inventorydocuments[$d]['Id'].'">'."\r\n";

    echo 'Payout:&nbsp;';
    echo '<INPUT TYPE="text" style="font-size:18px;text-align:right;" ID="PayoutAmount_'.$inventorydocuments[$d]['Id'].'" NAME="PayoutAmount_'.$inventorydocuments[$d]['Id'].'" title="Payout Amount" size="7" VALUE="'.$payoutamount.'">'."\r\n\r\n";

    for ($b=1; $b<=$accounttransactiondocumenttypescount; $b++) {
        $buttoncolor=$accounttransactiondocumenttypes[$b]['ButtonColor'];
        $buttoncolor=substr($buttoncolor,3,6);
        $buttonheader=$accounttransactiondocumenttypes[$b]['ButtonHeader'];
        $buttonheader=str_replace(' Payout','',$buttonheader);
        echo '<DIV CLASS="action-button" style="background-color:#'.$buttoncolor.'" title="'.$buttonheader.'"';
        echo ' onclick="payout(';
        echo "'".'PayoutAmount_'.$inventorydocuments[$d]['Id']."'";
        echo ",'".$inventorydocuments[$d]['Id']."'";
        echo ",'".$inventorydocuments[$d]['Name']."'";
        echo ",'".$accounttransactiondocumenttypes[$b]['Id']."'";
        echo ",'".$accounttransactiondocumenttypes[$b]['Name']."'";
        echo ",'".$accounttransactiondocumenttypes[$b]['DescriptionTemplate']."'";
        echo ",'".date("Y-m-d H:i:s.000")."'";
        echo ')"';
        echo '>'.$buttonheader.'</DIV>'."\r\n";
    }

    echo '&nbsp;';
    echo '</DIV>'."\r\n";
    echo '<!-- payout-section end -->'."\r\n\r\n";

    for ($i=1; $i<=$inventorytransactionscount; $i++) {

        echo ($i>1 ? '<br />'."\r\n" : '');

        echo '<INPUT type="hidden" name="doctxitemid_'.$inventorytransactions[$i]['Id'].'" ID="doctxitemid_'.$inventorytransactions[$i]['Id'].'" value="'.$inventorytransactions[$i]['Item'].'">'."\r\n\r\n";

        echo '<DIV class="container-group-items" ID="doctxitemid_'.$inventorytransactions[$i]['Id'].'" style="width:150px;color:yellow;font-weight:bold;">';
        echo $inventorytransactions[$i]['Item'];
        echo '</DIV>'."\r\n";
        echo '<DIV class="container-group-items" style="width:55px;color:#66FF66;">';
        echo $inventorytransactions[$i]['Unit'];
        echo '</DIV>'."\r\n";
        echo '<DIV class="container-group-items" style="width:15px;text-align:right;">';
        echo intval($inventorytransactions[$i]['Quantity']);
        echo '</DIV>'."\r\n";
        echo '<DIV class="container-group-items" style="width:60px;text-align:right;">';
        $formattednumber=number_format((float)$inventorytransactions[$i]['UnitPrice'], 2, '.', '');
        echo $formattednumber;
        echo '</DIV>'."\r\n";
        echo '<DIV class="container-group-items" style="width:60px;text-align:right;font-weight:bold;">';
        $formattednumber=number_format((float)$inventorytransactions[$i]['TotalPrice'], 2, '.', '');
        echo $formattednumber;
        echo '</DIV>'."\r\n";

        $documenttotal+=$inventorytransactions[$i]['TotalPrice'];

        // Action Button small
        echo '<DIV NAME="smalldelete_'.$inventorydocuments[$d]['Id'].'" CLASS="action-button-small" style="background-color:#BB0011" title="Remove Item: '.$inventorytransactions[$i]['Item'].'"';
        echo ' onclick="pf(';
        echo     "'RemoveItem'";
        echo ','."'".$inventorytransactions[$i]['Id']."'";
        echo ')"';
        echo '>X</DIV>'."\r\n";

    }
    echo ($inventorytransactionscount==0 ? '<span style="font-size:10px">&nbsp;(no items)<br /></span>' : '');
    echo '</DIV>'."\r\n";
    echo '<!-- container-group DOC ITEMS end -->'."\r\n";

    echo '</DIV><!-- container-group DOC '.$inventorydocuments[$d]['Name'].' end -->'."\r\n\r\n";



    // Set  PayoutAmount for this DOC
    $SQLWHERE="[Name] like '%Supplier%".$inventorydocuments[$d]['Name']."%'"."\r\n";
    $SQLWHERE.=" AND [Date]>='".$wpdate."'"."\r\n";
    include($incdir.'mssql/atxvaluessum_sel.php');

    $valuepaid=($acctxvaluessum[1]['ValuePaid'] ? $acctxvaluessum[1]['ValuePaid'] : 0);
    $remainingamount=$documenttotal-$valuepaid;
    $remainingamount=($remainingamount>0 ? $remainingamount : 0);
    $documenttotal=number_format((float)$documenttotal, 2, '.', '');
    $remainingamount=number_format((float)$remainingamount, 2, '.', '');

    echo "<SCRIPT language='Javascript' type='text/javascript'>setPayoutAmount('".$remainingamount."','".$inventorydocuments[$d]['Id']."');</SCRIPT>"."\r\n\r\n";
    echo "<SCRIPT language='Javascript' type='text/javascript'>document.getElementById('idoctotal_".$inventorydocuments[$d]['Name']."').innerHTML='(".$documenttotal." - ".$valuepaid.") = <b>".$remainingamount."</b>';</SCRIPT>"."\r\n\r\n";
    if ($remainingamount>0) {
        echo "<SCRIPT language='Javascript' type='text/javascript'>document.getElementById('payoutwarning').innerHTML='<b>*** There are UNPAID items in this section! ***</b>';</SCRIPT>"."\r\n\r\n";
    }

    echo '<INPUT type="hidden" ID="PaidAmount_'.$inventorydocuments[$d]['Id'].'" value="'.$valuepaid.'">';
    echo '<INPUT type="hidden" ID="RemainingAmount_'.$inventorydocuments[$d]['Id'].'" value="'.$remainingamount.'">';

    $documenttotal=0;
    $remainingamount=0;



}
echo ($inventorydocumentscount==0 ? '<span style="font-size:10px">&nbsp;(no documents)<br /></span>' : '');
echo '</DIV><!-- container-group PREVIOUSDOCS container end -->'."\r\n\r\n";
echo '</DIV><!-- container-group PREVIOUSDOCS end -->'."\r\n\r\n";


/*************************/
// Inventory Items
/*************************/

if ($igroupcodefilter!='ALL' && $igroupcodefilter!='') {
    $SQLWHERE.=($SQLWHERE!='' ? ' AND ' : '').'[GroupCode]='."'".$igroupcodefilter."'";
}
if ($warehousefilter!='ALL' && $warehousefilter!='') {
    $SQLWHERE.=($SQLWHERE!='' ? ' AND ' : '').'[Warehouse]='."'".$warehousefilter."'";
}
include($incdir.'mssql/iitems_sel.php');


if($msdbconn) {sqlsrv_close($msdbconn);}

echo '<!-- container-group INVENTORYITEMS beg -->'."\r\n";
echo '<DIV class="container-group" style="background-color:#AA6611;color:#FFFFFF;padding:2px;margin-bottom:10px;font-size:14px;text-shadow:1px 1px 1px #202020;">'."\r\n";

echo "\r\n\r\n".'<SECTION id="content-top" style="background-color:#AA6611;font-size:14px;padding:4px;white-space:nowrap;">'."\r\n";

if ($autocreateInventoryDoc==true) {
    // we still need the Inventory Transaction Type, but hide it from view
    echo '<SELECT size="1" class="txdoc" style="display:none;" name="iTxType" id="iTxType" title="iTxType">'."\r\n";
    for ($s=1; $s<=$inventorytxdoctypescount; $s++) {
        echo '<OPTION VALUE="'.$inventorytxdoctypes[$s]['iTxTypeId'].'"';
        echo ($iTxType==$inventorytxdoctypes[$s]['iTxTypeId'] ? ' selected' : '');
        //echo ($inventorytxdoctypescount==1 ? ' selected' : '');
        echo '>';
        echo $inventorytxdoctypes[$s]['iTxTypeName'].'</OPTION>'."\r\n";
    }
    echo '</SELECT>'."\r\n\r\n";

} else { // $autocreateInventoryDoc!=true
    
echo '<span class="collapsable" title="Click here to collapse/expand this section" onclick="expandcollapse('."'inventoryitemsection')".'">';
echo '&nbsp;DOC/TX&nbsp;&nbsp;::&nbsp;&nbsp;';
echo '</span>'."\r\n";

// SECTION: Purchase Transaction Type & Document Type/Name

echo '<span style="font-size:10px">';
echo 'iTxType:';
echo '</span>'."\r\n";
echo '<SELECT size="1" class="txdoc" style="font-size:10px" name="iTxType" id="iTxType" title="iTxType">'."\r\n";
    for ($s=1; $s<=$inventorytxdoctypescount; $s++) {
        echo '<OPTION VALUE="'.$inventorytxdoctypes[$s]['iTxTypeId'].'"';
        echo ($iTxType==$inventorytxdoctypes[$s]['iTxTypeId'] ? ' selected' : '');
        //echo ($inventorytxdoctypescount==1 ? ' selected' : '');
        echo '>';
        echo $inventorytxdoctypes[$s]['iTxTypeName'].'</OPTION>'."\r\n";
    }
echo '</SELECT>&nbsp;'."\r\n\r\n";

echo '<span style="font-size:10px">';
echo 'iDocType:';
echo '</span>'."\r\n";
echo '<SELECT size="1" class="txdoc" style="font-size:10px" name="iDocType" id="iDocType" title="iDocType">'."\r\n";
    for ($s=1; $s<=$inventorytxdoctypescount; $s++) {
        echo '<OPTION VALUE="'.$inventorytxdoctypes[$s]['iDocTypeId'].'"';
        echo ($iDocType==$inventorytxdoctypes[$s]['iDocTypeId'] ? ' selected' : '');
        //echo ($inventorytxdoctypescount==1 ? ' selected' : '');
        echo '>';
        echo $inventorytxdoctypes[$s]['iDocTypeName'].'</OPTION>'."\r\n";
    }
echo '</SELECT>&nbsp;'."\r\n\r\n";

echo 'EXISTING Doc:'."\r\n";
echo '<SELECT size="1" class="txdoc" name="iDocId" id="iDocId" title="iDoc">'."\r\n";
    for ($s=1; $s<=$inventorydocumentscount; $s++) {
        echo '<OPTION VALUE="'.$inventorydocuments[$s]['Id'].'"';
        echo ($iDocId==$inventorydocuments[$s]['Id'] ? ' selected' : '');
        //echo ($inventorydocumentscount==1 ? ' selected' : '');
        echo '>';
        echo $inventorydocuments[$s]['Name'].'</OPTION>'."\r\n";
    }
echo '</SELECT>&nbsp;'."\r\n\r\n";

echo 'NEW Doc:'."\r\n";
echo '<INPUT TYPE="text" class="txdoc" NAME="iDocName" id="iDocName" title="iDoc" size="10" VALUE="">'."\r\n";

} // if ($autocreateInventoryDoc!=true)
echo "\r\n".'</SECTION>'."\r\n";

echo '<!-- container-group INVENTORYITEMS container beg -->'."\r\n";
echo '<DIV ID="inventoryitemsection" class="container-group" style="background-color:#331133;margin:0px;padding:2px;">'."\r\n";

// SECTION: Filters

$sectiontitle='&nbsp;'.($screen!='' ? ($drecordcount>0 ? 'Other ' : '').'Items you can '.$screen.' :: ' : '');
$sectiontitle.=$posinventoryitemscount;
echo "\r\n\r\n".'<SECTION id="content-top" style="padding:3px;white-space:nowrap;">';
echo $sectiontitle."\r\n";
echo '&nbsp;&nbsp; ';

echo '<DIV CLASS="stock-item" style="margin:0px;padding:0px;color:#EEEEEE;font-size:13px;">';
echo '&nbsp;';
echo 'Product Type:';
echo '<SELECT size="1" id="sinventoryitemtypefilter" title="Product Type" onChange="pf('."'PRODUCTTYPEFILTER','99999')".'">'."\r\n";
    echo '<OPTION VALUE="ALL">All</OPTION>'."\r\n";
    for ($prt=1; $prt<=$posinventoryitemtypescount; $prt++) {
        echo '<OPTION VALUE="'.$posinventoryitemtypes[$prt]['Name'].'"';
        echo ($igroupcodefilter==$posinventoryitemtypes[$prt]['Name'] ? ' selected' : '');
        echo '>';
        echo $posinventoryitemtypes[$prt]['Name'].'</OPTION>'."\r\n";
    }
echo '</SELECT>'."\r\n\r\n";

echo '&nbsp;';
echo 'Supplier:';
//echo '<SELECT style="display:none;" size="1" id="ssupplierfilter" title="Supplier" onChange="pf('."'SUPPLIERFILTER','99999')".'">'."\r\n";
//    echo '<OPTION VALUE="0">All</OPTION>'."\r\n";
//    for ($s=1; $s<=$possupplierscount; $s++) {
//        echo '<OPTION VALUE="'.$possuppliers[$s]['EntityID'].'"';
//        echo ($supplierfilter==$possuppliers[$s]['EntityID'] ? ' selected' : '');
//        echo '>';
//        echo $possuppliers[$s]['Name'].'</OPTION>'."\r\n";
//    }
//echo '</SELECT>'."\r\n\r\n";
echo '<SELECT size="1" id="swarehousefilter" title="Warehouse" onChange="pf('."'WAREHOUSEFILTER','99999')".'">'."\r\n";
    echo '<OPTION VALUE="ALL">All</OPTION>'."\r\n";
    for ($s=1; $s<=$possupplierscount; $s++) {
        echo '<OPTION VALUE="'.$possuppliers[$s]['Warehouse'].'"';
        echo ($warehousefilter==$possuppliers[$s]['Warehouse'] ? ' selected' : '');
        echo '>';
        echo $possuppliers[$s]['Name'].'</OPTION>'."\r\n";
    }
echo '</SELECT>&nbsp;'."\r\n\r\n";
echo '</DIV>';

echo '</SECTION>'."\r\n";


/*************************/
// SECTION: Inventory Items

echo "\r\n".'<!-- content-page beg -->'."\r\n";
echo '<SECTION id="content-page">'."\r\n\r\n";

for ($i=1; $i<=$posinventoryitemscount; $i++) {
$sid=$posinventoryitems[$i]['Tx_ID']; // not valid here
$pid=$posinventoryitems[$i]['Product_ID'];
$iid=$posinventoryitems[$i]['Id'];

echo "\r\n".'<!-- ................. r:'.$i.' sid:'.$sid.' pid:'.$pid.' iid:'.$iid.' screen:'.$screen.' operation:'.$operation.' ................. -->'."\r\n";

echo "\r\n".'<DIV CLASS="action-container">'."\r\n\r\n";

    echo '<!-- stock-item common -->'."\r\n";

    echo '<DIV CLASS="stock-item" style="width:360px;" title="'.$posinventoryitems[$i]['Name'].' ('.$posinventoryitems[$i]['Warehouse'].')'.'" ID="'.$posinventoryitems[$i]['Id'].'">'."\r\n";

        echo '<INPUT TYPE="text" class="producttype" NAME="Product_Type" size="12" VALUE="'.$posinventoryitems[$i]['GroupCode'].'" disabled>'."\r\n";
        echo '<span class="boldyellow">'.$posinventoryitems[$i]['Name'].'</span>'."\r\n";

        echo '<INPUT TYPE="hidden" id="inventoryid_'.$posinventoryitems[$i]['Id'].'" VALUE="'.$posinventoryitems[$i]['Id'].'" title="InventoryId">'."\r\n";

        echo '<INPUT TYPE="hidden" id="dtrequest_'.$posinventoryitems[$i]['Id'].'" VALUE="'.date("Y-m-d H:i:s").'.000" title="Request Date/Time">'."\r\n";

        echo '<INPUT TYPE="hidden" id="tumultiplier_'.$posinventoryitems[$i]['Id'].'" VALUE="'.$posinventoryitems[$i]['TransactionUnitMultiplier'].'" title="TU Multiplier">'."\r\n";

    echo '</DIV>'."\r\n";

    echo '<!-- stock-item common -->'."\r\n\r\n";


// Supplier, Quantity, Unit

    echo '<!-- stock-item '.$screen.' -->'."\r\n";

    echo '<DIV CLASS="stock-item" style="width:190px;" title="'.$posinventoryitems[$i]['Name'].'" ID="s_'.$posinventoryitems[$i]['Id'].'">'."\r\n";

//            echo '<SELECT size="1" id="selectedsupplier_'.$posinventoryitems[$i]['Id'].'" title="Supplier">'."\r\n";
//            for ($s=1; $s<=$possupplierscount; $s++) {
//                echo '<OPTION VALUE="'.$possuppliers[$s]['EntityID'].'"';
//                echo ($posinventoryitems[$i]['Warehouse']==$possuppliers[$s]['Warehouse'] ? ' selected' : '');
//                echo '>';
//                echo $possuppliers[$s]['Name'].'</OPTION>'."\r\n";
//            }
//            echo '</SELECT>'."\r\n\r\n";

    echo '<SELECT size="1" id="selectedwarehouse_'.$posinventoryitems[$i]['Id'].'" title="Warehouse">'."\r\n";
    for ($s=1; $s<=$poswarehousescount; $s++) {
        echo '<OPTION VALUE="'.$poswarehouses[$s]['Id'].'"';
        echo ($posinventoryitems[$i]['Warehouse']==$poswarehouses[$s]['Name'] ? ' selected' : '');
        echo '>';
        echo $poswarehouses[$s]['Name'].'</OPTION>'."\r\n";
    }
    echo '</SELECT>'."\r\n\r\n";

    echo '</DIV>'."\r\n\r\n";

    echo '<DIV CLASS="stock-item" style="width:200px;" title="'.$posinventoryitems[$i]['Name'].'">'."\r\n";

    $plusminus='MINUS';
    echo '<DIV CLASS="plusminus-button"';
    echo ' onclick="plusminus(';
    echo     "'".$plusminus."'";
    echo ','."'".$posinventoryitems[$i]['Id']."'";
    echo ')"';
    echo '> - </DIV>'."\r\n";

    $plusminus='PLUS';
    echo '<DIV CLASS="plusminus-button"';
    echo ' onclick="plusminus(';
    echo     "'".$plusminus."'";
    echo ','."'".$posinventoryitems[$i]['Id']."'";
    echo ')"';
    echo '> + </DIV>'."\r\n";

    echo '<INPUT TYPE="text" style="background-color:#663333" id="qty_'.$posinventoryitems[$i]['Id'].'" size="2" VALUE="0" title="Quantity" onChange="calc('."'".$posinventoryitems[$i]['Id']."'".')">'."\r\n\r\n";

    echo '<SELECT size="1" id="selectedpkgtype_'.$posinventoryitems[$i]['Id'].'" title="Unit">'."\r\n";
    for($t=1; $t<=$posinventorybaseunitscount; $t++) {
        if ($posinventoryitems[$i]['BaseUnit']==$posinventorybaseunits[$t]['Name']) {
        echo '<OPTION VALUE="'.$posinventorybaseunits[$t]['Name'].'"';
        echo ($posinventoryitems[$i]['BaseUnit']==$posinventorybaseunits[$t]['Name'] ? ' selected' : '');
        echo '>';
        echo $posinventorybaseunits[$t]['Name'].'</OPTION>'."\r\n";
        }
    }
    for($t=1; $t<=$posinventorytransactionunitscount; $t++) {
        if ($posinventoryitems[$i]['TransactionUnit']==$posinventorytransactionunits[$t]['Name']) {
        echo '<OPTION VALUE="'.$posinventorytransactionunits[$t]['Name'].'"';
        echo ($posinventoryitems[$i]['TransactionUnit']==$posinventorytransactionunits[$t]['Name'] ? ' selected' : '');
        echo '>';
        echo $posinventorytransactionunits[$t]['Name'].'</OPTION>'."\r\n";
        }
    }
    echo '</SELECT>'."\r\n\r\n";

    echo '</DIV>'."\r\n";

    echo '<!-- stock-item '.$screen.' -->'."\r\n\r\n";

// Cost, Tax, UnitCost, TotalCost

    echo '<INPUT TYPE="text"'.($posinventoryitems[$i]['DefaultTransactionUnitCost']==0 ? ' style="background-color:#663333"' : '').' id="itemcost_'.$posinventoryitems[$i]['Id'].'" size="4" VALUE="'.($posinventoryitems[$i]['DefaultTransactionUnitCost']==0 ? '' : $posinventoryitems[$i]['DefaultTransactionUnitCost']).'" title="Item Cost" onChange="calc('."'".$posinventoryitems[$i]['Id']."'".')">'."\r\n\r\n";

    echo '<SELECT size="1" id="taxtemplate_'.$posinventoryitems[$i]['Id'].'" title="Tax Template" onChange="calc('."'".$posinventoryitems[$i]['Id']."'".')">'."\r\n";
    echo '<OPTION VALUE="0">NoTax</OPTION>'."\r\n";
    for ($s=1; $s<=$taxtemplatescount; $s++) {
        echo '<OPTION VALUE="'.$taxtemplates[$s]['Rate'].'"';
        if ($posinventoryitems[$i]['GroupCode']=='Beer' || $posinventoryitems[$i]['GroupCode']=='Tobacco' || $posinventoryitems[$i]['GroupCode']=='Liquor' || $posinventoryitems[$i]['GroupCode']=='Wine') {
            echo ($taxtemplates[$s]['Name']=='T2' ? ' selected' : '');
        } else if ($posinventoryitems[$i]['GroupCode']!='Produce') {
            echo ($taxtemplates[$s]['Name']=='T1' ? ' selected' : '');
        }
        echo '>';
        echo $taxtemplates[$s]['Name'].'</OPTION>'."\r\n";
    }
    echo '</SELECT>'."\r\n\r\n";

    echo '<INPUT TYPE="text" style="background-color:#663333" id="unitcost_'.$posinventoryitems[$i]['Id'].'" size="5" VALUE="0" title="Item Cost + Tax" onChange="calc('."'".$posinventoryitems[$i]['Id']."'".')">'."\r\n\r\n";
    echo '<INPUT TYPE="text" style="background-color:#663333" name="TotalCost" id="totalcost_'.$posinventoryitems[$i]['Id'].'" size="6" VALUE="0" title="Total Order Cost" onChange="calc('."'".$posinventoryitems[$i]['Id']."'".')">'."\r\n\r\n";


// Action Buttons

    echo '<DIV CLASS="action-button" style="background-color:#339933" title="'.$screen.' '.$posinventoryitems[$i]['Name'].'"';
    echo ' onclick="pf(';
    echo     "'AddItem'";
    echo ','."'".$posinventoryitems[$i]['Id']."'";
    echo ')"';
    echo '>Add</DIV>'."\r\n";

echo "\r\n".'</DIV>'."\r\n";
echo '<!-- action-container end -->'."\r\n";
} // for ($i=1; $i<=$posinventoryitemscount; $i++)

echo "\r\n".'</SECTION>'."\r\n";
echo '<!-- #content-page end  -->'."\r\n\r\n";

echo '</DIV><!-- container-group INVENTORYITEMS container end -->'."\r\n\r\n";
echo '</DIV><!-- container-group INVENTORYITEMS end -->'."\r\n\r\n";
?>
