<?php
// insert a DOC
$cqry = '';
$cqry.='INSERT INTO [AccountTransactionDocuments] ('."\r\n";
$cqry.=' [Date]'."\r\n";
$cqry.=',[Name]'."\r\n";
$cqry.=',[DocumentTypeId]'."\r\n";

$cqry.=') VALUES ('."\r\n";

$cqry.=' '."'".$dtpayout."'"."\r\n";
$cqry.=','."'".$payadoctypename."'"."\r\n";
$cqry.=','."'".$payadoctypeid."'"."\r\n";
$cqry.=')'."\r\n";

$records = msexecquery($msdbconn,$cqry);
$rc=count($records);

$cqry = "SELECT [Id], [Name], [Date] FROM [AccountTransactionDocuments]";
$cqry.= " WHERE [Date]='".$dtpayout."'";
$cqry.= " AND [DocumentTypeId]=".$payadoctypeid;
$records = msexecquery($msdbconn,$cqry);
$rc=count($records);

// Set DocId and DocName variables to the new Doc
if ($rc>0) {
    $payadocid=$records[1]['Id'];
    $payadocname=$records[1]['Name'];
    $payadocdate=$records[1]['Date'];
} else {
    die("AccountTransactionDocuments SELECT statement returned 0 rows!");
}

// get Account Transaction Type based on DocType
$cqry="SELECT [AccountTransactionType_Id] FROM [AccountTransactionDocumentTypeAccountTransactionTypes] WHERE [AccountTransactionDocumentType_Id]=".$payadoctypeid;
$records = msexecquery($msdbconn,$cqry);
$rc=count($records);
if ($rc>0) {
    $payatxtypeid=$records[1]['AccountTransactionType_Id'];
} else {
    die("AccountTransactionDocumentTypeAccountTransactionTypes SELECT statement returned 0 rows!");
}

// get Source and Target Account Types
$cqry="SELECT [SourceAccountTypeId], [TargetAccountTypeId], [DefaultSourceAccountId], [Name] FROM [AccountTransactionTypes] WHERE [Id]=".$payatxtypeid;
$records = msexecquery($msdbconn,$cqry);
$rc=count($records);
if ($rc>0) {
    $payasrctypeid=$records[1]['SourceAccountTypeId'];
    $payatargtypeid=$records[1]['TargetAccountTypeId'];
    $payatxtypename=$records[1]['Name'];
    $payasrcid=$records[1]['DefaultSourceAccountId'];
} else {
    die("AccountTransactionType SELECT statement returned 0 rows!");
}

// get Target Account & Exchange Rate
$cqry="SELECT a.[Id], a.[Name], a.[AccountTypeId], a.[ForeignCurrencyId]";
$cqry.=", isnull(fc.[ExchangeRate],1.00) as [ExchangeRate]";
$cqry.=" FROM [Accounts] a ";
$cqry.=" left join [Entities] e on e.[AccountId]=a.[Id]";
$cqry.=" left join [ForeignCurrencies] fc on fc.[Id]=a.[ForeignCurrencyId]";
$cqry.=" WHERE e.[Name]='".$payidocname."'";
$records = msexecquery($msdbconn,$cqry);
$rc=count($records);
if ($rc>0) {
    $payatargid=$records[1]['Id'];
    $payatargname=$records[1]['Name'];
    $exchangerate=$records[1]['ExchangeRate'];
} else {
    $errmsg= "\r\n<br />".$cqry."<br /><br />\r\n\r\n";
    $errmsg.="Accounts (Target) SELECT statement returned 0 rows!";
    $errmsg.="\r\n<br />\r\n";
    die($errmsg);
}


// insert a TX
$cqry = '';
$cqry.='INSERT INTO [AccountTransactions] ('."\r\n";
$cqry.=' [AccountTransactionDocumentId]'."\r\n";
$cqry.=',[Amount]'."\r\n";
$cqry.=',[ExchangeRate]'."\r\n";
$cqry.=',[AccountTransactionTypeId]'."\r\n";
$cqry.=',[SourceAccountTypeId]'."\r\n";
$cqry.=',[TargetAccountTypeId]'."\r\n";
$cqry.=',[IsReversed]'."\r\n";
$cqry.=',[Reversable]'."\r\n";
$cqry.=',[Name]'."\r\n";

$cqry.=') VALUES ('."\r\n";

$cqry.=' '.$payadocid."\r\n";
$cqry.=','.$payamount."\r\n";
$cqry.=','.$exchangerate."\r\n";
$cqry.=",".$payatxtypeid."\r\n";
$cqry.=",".$payasrctypeid."\r\n";
$cqry.=",".$payatargtypeid."\r\n";
$cqry.=',0'."\r\n";
$cqry.=',1'."\r\n";
$cqry.=",'".$payadocdesc." [".$payidocname."]'"."\r\n";
$cqry.=')'."\r\n";

$records = msexecquery($msdbconn,$cqry);
$rc=count($records);

if ($rc==0) {
    die("AccountTransaction INSERT statement returned 0 rows!");
} else {
    // get Transaction ID
    $cqry="SELECT [Id] FROM [AccountTransactions]";
    $cqry.=" WHERE [AccountTransactionDocumentId]=".$payadocid;
    $cqry.=" AND [Amount]=".$payamount;
    $cqry.=" AND [AccountTransactionTypeId]=".$payatxtypeid;
    $cqry.=" AND [SourceAccountTypeId]=".$payasrctypeid;
    $cqry.=" AND [TargetAccountTypeId]=".$payatargtypeid;
    $cqry.=" AND [Name]='".$payadocdesc." [".$payidocname."]'";
    $records = msexecquery($msdbconn,$cqry);
    $rc=count($records);
    if ($rc>0) {
        $payatxid=$records[1]['Id'];
    } else {
        die("AccountTransactions SELECT statement returned 0 rows!");
    }
}




$debit=0;
$credit=$payamount;
$exchange=(-1*$payamount)/$exchangerate;
// insert TX values for SOURCE
$cqry = '';
$cqry.='INSERT INTO [AccountTransactionValues] ('."\r\n";
$cqry.=' [AccountTransactionId]'."\r\n";
$cqry.=',[AccountTransactionDocumentId]'."\r\n";
$cqry.=',[AccountTypeId]'."\r\n";
$cqry.=',[AccountId]'."\r\n";
$cqry.=',[Date]'."\r\n";
$cqry.=',[Debit]'."\r\n";
$cqry.=',[Credit]'."\r\n";
$cqry.=',[Exchange]'."\r\n";
$cqry.=',[Name]'."\r\n";
$cqry.=',[AccountTransactionTypeId]'."\r\n";

$cqry.=') VALUES ('."\r\n";

$cqry.=' '.$payatxid."\r\n";
$cqry.=','.$payadocid."\r\n";
$cqry.=','.$payasrctypeid."\r\n";
$cqry.=','.$payasrcid."\r\n";
$cqry.=",'".$payadocdate."'"."\r\n";
$cqry.=",".$debit."\r\n";
$cqry.=",".$credit."\r\n";
$cqry.=",".$exchange."\r\n";
$cqry.=",'".$payadocdesc." [".$payidocname."]'"."\r\n";
$cqry.=",".$payatxtypeid."\r\n";
$cqry.=')'."\r\n";

$records = msexecquery($msdbconn,$cqry);
$rc=count($records);

if ($rc==0) {
    die("AccountTransactionValues (Source) INSERT statement returned 0 rows!");
}

$debit=$payamount;
$credit=0;
$exchange=$payamount/$exchangerate;
// insert TX values for TARGET
$cqry = '';
$cqry.='INSERT INTO [AccountTransactionValues] ('."\r\n";
$cqry.=' [AccountTransactionId]'."\r\n";
$cqry.=',[AccountTransactionDocumentId]'."\r\n";
$cqry.=',[AccountTypeId]'."\r\n";
$cqry.=',[AccountId]'."\r\n";
$cqry.=',[Date]'."\r\n";
$cqry.=',[Debit]'."\r\n";
$cqry.=',[Credit]'."\r\n";
$cqry.=',[Exchange]'."\r\n";
$cqry.=',[Name]'."\r\n";
$cqry.=',[AccountTransactionTypeId]'."\r\n";

$cqry.=') VALUES ('."\r\n";

$cqry.=' '.$payatxid."\r\n";
$cqry.=','.$payadocid."\r\n";
$cqry.=','.$payatargtypeid."\r\n";
$cqry.=','.$payatargid."\r\n";
$cqry.=",'".$payadocdate."'"."\r\n";
$cqry.=",".$debit."\r\n";
$cqry.=",".$credit."\r\n";
$cqry.=",".$exchange."\r\n";
$cqry.=",'".$payadocdesc." [".$payidocname."]'"."\r\n";
$cqry.=",".$payatxtypeid."\r\n";
$cqry.=')'."\r\n";

$records = msexecquery($msdbconn,$cqry);
$rc=count($records);

if ($rc==0) {
    die("AccountTransactionValues (Target) INSERT statement returned 0 rows!");
}



// clear vars
$cqry=null;
$records=null;
$rc=null;
?>