<?php
// if this var is not set, we have no config, so get out
if ($webdom=='') {
    header("Location: ../");
    die();
}

if($inadmin || $inupload) {
    $cat='';
    $scat='';
    $npath='';
} else {

    if($_SERVER['PHP_SELF'] == "/index.php" || $_SERVER['PHP_SELF'] == "/" || $_SERVER['PHP_SELF'] == "") {
        $canonicallink='<link rel="canonical" href="'.$weburl.'" />';
    }

    // figure out where we are within the site
    $contentpage=strtolower($_SERVER['PHP_SELF']); // gives path like: /menu/drinks/index.php
    //$contentpage=substr($contentpage, 1, strlen($contentpage)-1); // strip leading slash: menu/drinks/index.php
    $contentpage=str_replace('index.php','',$contentpage); // strip filename: menu/drinks/
    $contentpage.='/'; // add trailing slash: menu/drinks//
    $contentpage=str_replace('//','/',$contentpage); // replace double-slashes with singles: menu/drinks/

    $npath=$contentpage; // should be like: menu/drinks/ or menu/ or simply /

    $canonicallink=($canonicallink=='' ? '<link rel="canonical" href="'.$weburl.$contentpage.'" />' : $canonicallink);

    // this file includes setup for the site, and is site-specific
    include($incdir.'zprepage.php');
}

// build $webpagetitle
$wpt = '';
if($inadmin) {$wpt = 'Admin';}
if($inupload) {$wpt = 'Upload';}

$webpagetitle=$wpt;
$webpagetitle.=($ncat ? ucwords(str_replace('_',' ',str_replace('_and_',' & ',$ncat))) : '');
$webpagetitle.=($nscat ? ($ncat ? ' :: ' : '').ucwords(str_replace('_',' ',str_replace('_and_',' & ',$nscat))) : '');
$webpagetitle=str_replace('Default','Home',$webpagetitle);
$webpagetitle.=$screen.' ~ '.$webdescription.' ~ '.$webname;
if(strpos($webpagetitle,'Home')!==FALSE) {$webpagetitle=$webname.' ~ '.$webdescription;}


//////////////////////////
//
// start OUTPUT
//
//////////////////////////

echo ($doctype."\r\n"); // CONFIGZ

echo '<html lang="en">'."\r\n";
echo '<head>'."\r\n";
echo '<title>'.$webpagetitle.'</title>'."\r\n\r\n";

// Facebook tags
//if (!$inadmin && !$inupload) {include($incdir.'fbogtags.php');}

$metainfo = '<meta name="description" content="'.str_replace(' :: ',' ',$webpagetitle).'">'."\r\n".$metainfo;

echo $metainfo."\r\n"; // CONFIGZ
echo $canonicallink."\r\n"; // ZHEADER
echo $styler."\r\n"; // CONFIGZ, via CONFIG

// Favorite Icons
echo $favicons."\r\n"; // CONFIG

// Scripts
echo $jscommon."\r\n"; // CONFIGZ

echo '</head>'."\r\n\r\n";

echo '<body>'."\r\n";
echo comment('np:'.$npath.' cp:'.$contentpage.' c:'.$cat.'('.$ncat.') sc:'.$scat.'('.$nscat.') a:'.$art.'/'.count($articles));
echo comment('vip:'.$userip.' vc:'.$visitorcount.' vunique:'.$visitorunique); // CONFIGZ
echo comment('screen:'.$screen.' operation:'.$operation); // URL and FORM values
echo comment('webdom:'.$webdom.' autologinDomain:'.$autologinDomain);
echo "\r\n\r\n";
?>
